Skip to main content
GET
CSharp (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required
version
integer
required
Required range: x >= 1

Response

Agent version found.

object
enum<string>
required
Available options:
agent.version
id
string
required
agent_id
string
required
version
integer
required
Required range: x >= 1
is_current
boolean
required

True when this version matches the agent's current configuration.

restored_from_version
integer | null
required

When this version was produced by a rollback, the version it was restored from.

Required range: x >= 1
name
string
required
description
string | null
required
model
string
required
Example:

"functionary-pt"

instructions
string | null
required
tools
object[]
required
tool_choice
any
required

Arbitrary JSON value.

parallel_tool_calls
boolean
required
max_tool_calls
integer | null
required
fallback_models
string[]
required
text
object | null
required
reasoning
object | null
required
metadata
object
required
created_at
string<date-time>
required